# FlowOnHierarchyChangeListener

constructor(recursive: Boolean = false, _onChildViewAdded: MutableSharedFlow< Pair < View , View >> = MutableSharedFlow(extraBufferCapacity = Int.MAX_VALUE), _onChildViewRemoved: MutableSharedFlow< Pair < View , View >> = MutableSharedFlow(extraBufferCapacity = Int.MAX_VALUE))(source)

#### Parameters

recursive

If set, any call of onChildViewAdded will check if child View is ViewGroup and subscribe to this ViewGroup too

_onChildViewAdded

Internal MutableSharedFlow which will be used to pass data to onChildViewAdded flow

_onChildViewRemoved

Internal MutableSharedFlow which will be used to pass data to onChildViewRemoved flow